version: '2.4'

services:
  img2vid:
    build: "img2vid"
    read_only: true
    networks:
      - web
    tmpfs:
      - /tmp # for ffmpeg
    cpus: 4
    mem_limit: 2G
    restart: unless-stopped # if it crashes, try again!
    labels:
      - "traefik.enable=true"
      - "traefik.http.services.img2vid-http.loadbalancer.server.port=4000"
      - "traefik.http.routers.img2vid-http.rule=Host(`${HOST}`)"
      - "traefik.http.routers.img2vid-http.entrypoints=web"
    environment:
      - HOST
      - SECRET_KEY_BASE
      - ADMIN_USERNAME
      - ADMIN_PASSWORD
      - PHX_SERVER
      - RELEASE_NAME
      - PHX_HOST

networks:
  web:
    external: true
